Package org.springframework.security.access.event

# Class PublicInvocationEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.access.event.AbstractAuthorizationEvent
org.springframework.security.access.event.PublicInvocationEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated public class PublicInvocationEvent extends AbstractAuthorizationEvent
Deprecated.
Only used by now-deprecated classes. Consider `EventObject.getSource()` to deduce public invocations.
Event that is generated whenever a public secure object is invoked.

A public secure object is a secure object that has no `ConfigAttribute`s defined. A public secure object will not cause the `SecurityContextHolder` to be inspected or authenticated, and no authorization will take place.

Published just before the secure object attempts to proceed.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PublicInvocationEvent(Object secureObject)`
Deprecated.
Construct the event, passing in the public secure object.

## Method Summary

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PublicInvocationEvent

public PublicInvocationEvent(Object secureObject)
Deprecated.
Construct the event, passing in the public secure object.

Parameters:
  `secureObject` - the public secure object